package entities;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.EntityListeners;
import javax.persistence.Id;
import javax.persistence.PostLoad;
import javax.persistence.PostPersist;
import javax.persistence.PostUpdate;
import javax.persistence.PreRemove;

@Entity
@EntityListeners(entities.CallBackListener.class)
public class EntityWithEntityListenerAnnotation extends MSCWithEntityListenerAnnotation implements Serializable {

    @Id
    private Long id;
    
    public EntityWithEntityListenerAnnotation() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof EntityWithEntityListenerAnnotation)) {
            return false;
        }
        EntityWithEntityListenerAnnotation other = (EntityWithEntityListenerAnnotation)object;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) return false;
        return true;
    }

    public String toString() {
        return "entities.nocallbacklistenerannotations.EntityWithNoCallBackAnnotations[id=" + id + "]";
    }
    
}
